LibreOffice: LineDescriptor Struct Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
LineDescriptor Struct Reference

describes the appearance of a line representing a single property in an ObjectInspector. More...

`import"LineDescriptor.idl";`

## Public Attributes
string | DisplayName
| denotes the human-readable display name used to present a property to the user More...
XPropertyControl | Control
| denotes the control which should be used to represent the property at the UI. More...
string | HelpURL
| specifies the URL to the help topic to be associated with the property More...
boolean | HasPrimaryButton
| determines whether a button exists which can be used for a more complex, interactive property value input. More...
string | PrimaryButtonId
| describes a unique id to associate with the primary button More...
string | PrimaryButtonImageURL
| describes the URL of an image to display on the primary button, if any. More...
com::sun::star::graphic::XGraphic | PrimaryButtonImage
| describes a graphics to display at the primary button, if any. More...
boolean | HasSecondaryButton
| determines whether a secondary button exists which can be used for a more complex, interactive property value input. More...
string | SecondaryButtonId
| describes a unique id to associate with the primary button More...
string | SecondaryButtonImageURL
| describes the URL of an image to display on the secondary button, if any. More...
com::sun::star::graphic::XGraphic | SecondaryButtonImage
| describes a graphics to display at the secondary button, if any. More...
short | IndentLevel
| describes the indent level for the property More...
string | Category
| describes the category into which the property should be sorted by the ObjectInspector. More...

## Detailed Description

describes the appearance of a line representing a single property in an ObjectInspector.

Such a line consists of

- a label with a human-readable name for the property
- a control which is used for user interaction - i.e. it displays the current property value, and allows the user entering a new one.
- (optional) one or two buttons which, when clicked, can start a more complex, interactive property value input. For instance, if you have a property whose value is a path in the file system, such a button could be used to let the user browse for a path with a usual file picker.

See also
  XPropertyHandler::describePropertyLine
  PropertyLineElement

Since
  OOo 2.0.3

## Member Data Documentation

## ◆ Category

string Category

describes the category into which the property should be sorted by the ObjectInspector.

An ObjectInspector can visually group properties which semantically belong together (for instance using tab pages). The decision which properties actually belong together is made using this Category attribute.

For your implementation of XPropertyHandler, it's recommended that you document the programmatic names used for property categories. This way, your handler might be re-used in different contexts, where only the XObjectInspectorModel needs to provide consistent UI names for the categories.

See also
  XObjectInspectorModel::describeCategories

## ◆ Control

XPropertyControl Control

denotes the control which should be used to represent the property at the UI.

See also
  XPropertyControlFactory

## ◆ DisplayName

string DisplayName

denotes the human-readable display name used to present a property to the user

## ◆ HasPrimaryButton

boolean HasPrimaryButton

determines whether a button exists which can be used for a more complex, interactive property value input.

If no image for the primary button is specified, but a primary button is present, the three dots will be displayed on the button.

See also
  XPropertyHandler::onInteractivePropertySelection
  HasSecondaryButton
  PrimaryButtonImageURL
  PrimaryButtonImage

## ◆ HasSecondaryButton

boolean HasSecondaryButton

determines whether a secondary button exists which can be used for a more complex, interactive property value input.

A secondary button subordinated to the primary button. If no primary button exists (HasPrimaryButton), this member is ignored.

See also
  XPropertyHandler::onInteractivePropertySelection
  HasSecondaryButton

## ◆ HelpURL

string HelpURL

specifies the URL to the help topic to be associated with the property

## ◆ IndentLevel

short IndentLevel

describes the indent level for the property

If a given property semantically depends on another one, the indent level can be used to visually represent this fact. For this, the dependent property's indent level would be one larger than the indent level of the other property.

Normally, XPropertyHandlers will set this to `0` when describing the UI for a normal property.

## ◆ PrimaryButtonId

string PrimaryButtonId

describes a unique id to associate with the primary button

In OpenOffice.org, UI elements sometimes require a so-called UniqueID, which can be used to uniquely (within the whole application) identify this UI element. For instance, automating the OpenOffice.org UI via a dedicated separate application ("TestTool") requires such IDs.

If a primary button exists for a property's UI representation (HasPrimaryButton), it gets the ID specified herein.

## ◆ PrimaryButtonImage

com::sun::star::graphic::XGraphic PrimaryButtonImage

describes a graphics to display at the primary button, if any.

The property will be ignored if HasPrimaryButton is `FALSE`, or if PrimaryButtonImageURL is a non-empty string.

See also
  HasPrimaryButton
  PrimaryButtonImageURL

## ◆ PrimaryButtonImageURL

string PrimaryButtonImageURL

describes the URL of an image to display on the primary button, if any.

This URL will be used to obtain an actual com::sun::star::graphic::XGraphic object from an com::sun::star::graphic::GraphicProvider.

The property will be ignored if HasPrimaryButton is `FALSE`.

If you need to specify a graphic which does not have an URL, but is available as com::sun::star::graphic::XGraphic only, then you must leave `PrimaryButtonImageURL` empty, and use the PrimaryButtonImage property.

See also
  PrimaryButtonImage

## ◆ SecondaryButtonId

string SecondaryButtonId

describes a unique id to associate with the primary button

If a secondary button exists for a property's UI representation (HasSecondaryButton), it gets the ID specified herein.

See also
  PrimaryButtonId

## ◆ SecondaryButtonImage

com::sun::star::graphic::XGraphic SecondaryButtonImage

describes a graphics to display at the secondary button, if any.

The property will be ignored if HasSecondaryButton is `FALSE`, or if SecondaryButtonImageURL is a non-empty string.

See also
  HasSecondaryButton
  SecondaryButtonImageURL

## ◆ SecondaryButtonImageURL

string SecondaryButtonImageURL

describes the URL of an image to display on the secondary button, if any.

This URL will be used to obtain an actual com::sun::star::graphic::XGraphic object from an com::sun::star::graphic::GraphicProvider.

The property will be ignored if HasSecondaryButton is `FALSE`.

If you need to specify a graphic which does not have an URL, but is available as com::sun::star::graphic::XGraphic only, then you must leave `SecondaryButtonImageURL` empty, and use the SecondaryButtonImage property.

See also
  SecondaryButtonImage

The documentation for this struct was generated from the following file:

- com/sun/star/inspection/LineDescriptor.idl